Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Angelo Graziosi <[email-masked]>
Date: Sun, 08 Aug 2010 01:08:20 +0200

For me the rev. 101018 fixes the bug I flagged.

Thanks,
Angelo.

Il 07/08/2010 21.50, Chong Yidong ha scritto:
> David De La Harpe Golden<[email-masked]>  writes:
>
>> Well, select-active-regions was introduced (though not made default)
>> rather before the ^-type shift-selection appeared AFAIK.  From my
>> perspective, it would be breaking something that was largely working
>> as initially intended and (unlike with the general defaults change)
>> not giving the option of having it work the way it did* anymore (well,
>> apart from patching it in locally, I'm hardly incapable of doing
>> that).
>
> I've checked in some changes that should (fingers crossed) fix the
> "empty selection" problem.  This also eliminates the use of
> x-set-selection to buffer variables, as you suggested.  Now, Emacs
> copies strings out explicitly in the command loop and in
> `deactivate-mark'.
>
> I added a new value to `select-active-regions', `lazy' (the default),
> which means to set the selection only when used, as described in an
> earlier email.  Any other non-nil value gives something similar to the
> original behavior of select-active-regions.